<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="model"
            type="com.lukouguoji.module_base.model.ConfirmDialogModel" />
    </data>

    <LinearLayout
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_confirm_dialog"
        android:orientation="vertical"
        android:paddingTop="10dp">

        <TextView
            visible="@{model.title}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:text="@{model.title}"
            android:textColor="@color/text_normal"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:text="标题" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="15dp"
            android:gravity="center"
            android:text="@{model.message}"
            android:textColor="@color/text_normal"
            android:textSize="15sp"
            tools:text="消息内容" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="25dp"
            android:background="@color/backgroud_gray" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:onClick="@{()-> model.onCancelClick()}"
                android:text="@{model.cancelText}"
                android:textColor="@color/text_gray"
                android:textSize="16sp"
                tools:text="取消" />

            <View
                android:layout_width="1dp"
                android:layout_marginVertical="7dp"
                android:background="@color/backgroud_gray"
                android:layout_height="match_parent"/>

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:onClick="@{()-> model.onConfirmClick()}"
                android:text="@{model.confirmText}"
                android:textColor="@color/colorPrimary"
                android:textSize="16sp"
                tools:text="确定" />

        </LinearLayout>

    </LinearLayout>
</layout>